package com.zsElectric.boot.business.converter;

import org.mapstruct.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zsElectric.boot.business.model.entity.BannerInfo;
import com.zsElectric.boot.business.model.form.BannerInfoForm;
import com.zsElectric.boot.business.model.vo.BannerInfoVO;

import java.util.List;

/**
 * 小程序banner图对象转换器
 *
 * @author wzq
 * @since 2025-11-26 15:59
 */
@Mapper(componentModel = "spring")
public interface BannerInfoConverter{

    BannerInfoForm toForm(BannerInfo entity);

    BannerInfo toEntity(BannerInfoForm formData);

    BannerInfoVO toVO(BannerInfo entity);

    List<BannerInfoVO> toVO(List<BannerInfo> entityList);
}